Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to sign binary data.

HTTP request

POST /Agent/Legal/SignData

Authentication

Requires a valid JWT bearer token.

Request (JSON)

{
	"keyId": Required(Str(PKeyId)),
	"legalId": Required(Str(PLegalId)),
	"dataBase64": Required(Str(PDataBase64)),
	"keySignature": Required(Str(PKeySignature)),
	"requestSignature": Required(Str(PRequestSignature))
}

Input parameters

ParameterDescription
PKeyIdIdentity of key to use for signing the data. It must correspond to the key used when signing the Legal Identity application that will be used to sign the data.
PLegalIdIdentity of the Legal Identity that will be used to sign the data.
PDataBase64Binary data, base64-encoded, that will be signed.
PKeySignatureCryptographic signature of the key ID, using the key password.
PRequestSignatureCryptographic signature of the request, using the account password.

Response (JSON)

{
	"Signature": Required(Str(PSignature))
}

Response parameters

ParameterDescription
PSignatureBase64-encoded signature.

Notes

This endpoint uses the request schema notation described in Pattern matching.